# Administration Reference

## fs setquota

Purpose

Sets the maximum quota for the volume containing a file or directory

Synopsis

    fs setquota [-path <dir/file path>]  -max <max quota in kbytes>  [-help]

    fs setq [-p <dir/file path>]  -m <max quota in kbytes>  [-h]

    fs sq [-p <dir/file path>]  -m <max quota in kbytes>  [-h]

Description

The fs setquota command sets the quota (maximum possible size) of the read/write volume that contains the directory or file named by the -path argument.

To set the quota on multiple volumes at the same time, use the fs setvol command.

To display a volume's quota, use the fs examine, fs listquota or fs quota command.

Options

-path
  Names the directory or file for which to set the host volume's quota. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

  Specify the read/write path to the file or directory, to avoid the failure that results from attempting to change a read-only volume. By convention, the read/write path is indicated by placing a period before the cell name at the pathname's second level (for example, /afs/.abc.com). For further discussion of the concept of read/write and read-only paths through the filespace, see the fs mkmount reference page.

-max
  Sets the maximum amount of file server disk space the volume can occupy. Specify the number of one-kilobyte blocks as a positive integer (1024 is one megabyte). A value of 0 sets an unlimited quota, but the size of the disk partition that houses the volume places an absolute limit on the volume's size.

  If the -path argument is omitted (to set the quota of the volume housing the current working directory), the -max switch must be included with this argument.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command imposes a maximum quota of 3000 kilobytes on the volume that houses the /afs/abc.com/usr/smith directory:

       % fs setquota -path /afs/abc.com/usr/smith -max 3000

Privilege Required

The issuer must belong to the system:administrators group.

Related Information

fs examine

fs listquota

fs quota

fs mkmount

fs setvol

© IBM Corporation 2000. All Rights Reserved